@import url("input.css");
@import url("table.css");

body {
    margin: 0;
    padding: 0;
    background: rgba(220,220,220,.5);
}
img {
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    object-fit: cover;
    object-position: center;
}
input, textarea, select {
    margin: 0;
    padding: 0;
    outline: none;
}
h1, h2, h3, h4, h5, h6, p, ul, li, ol {
    margin: 0;
    padding: 0;
    outline: none;
}
ul, li, ol {
    list-style-type: none;
}

/* Scroll */
.ns-scroll-v::-webkit-scrollbar {
    width: 5px;
}
.ns-scroll-v::-webkit-scrollbar-track {
    background: rgb(188,188,188);
    border-radius: 6px;
}
.ns-scroll-v::-webkit-scrollbar-thumb {
    background: rgb(144,144,144);
    border-radius: 6px;
}

/* Global */
.ns-flex {
    display: -webkit-flex;
    column-gap: 2rem;
}
.ns-slide {
    display: -webkit-flex;
    overflow: hidden;
}
.ns-slide > form,
.ns-slide > div,
.ns-slide > section {
    width: 100%;
    box-sizing: border-box;
    flex-shrink: 0;
}

/* Section */
section.ns-full {
    width: 100%;
    height: 100vh;
    box-sizing: border-box;
}
section.ns-center {
    display: grid;
    place-items: center;
}

/* Modal */
.ns-modal {
    width: 100%;
    height: 100vh;
    box-sizing: border-box;
    position: fixed;
    top: 0;
    left: 0;
    display: grid;
    place-items: center;
    background: rgb(188,188,188,.5);
}

/* Width */
.ns-350 {
    width: 100%;
    max-width: 350px;
    box-sizing: border-box;
    flex-shrink: 0;
}
.ns-65p {
    width: 100%;
    max-width: 65%;
    box-sizing: border-box;
    flex-shrink: 0;
}
.ns-75p {
    width: 100%;
    max-width: 75%;
    box-sizing: border-box;
    flex-shrink: 0;
}

/* Response Model */
.ns-modal.progress .ns-box {
    width: 100%;
    max-width: 350px;
    box-sizing: border-box;
    background: white;
    border-radius: 12px;
    display: grid;
    row-gap: 15px;
    padding: 2rem;
    justify-content: center;
    text-align: center;
}
.ns-modal.progress .ns-box .pop {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transform: scale(0);
    margin: 15px auto;
}
.ns-modal.progress .ns-box .ripple {
    position: absolute;
    width: 120%;
    height: 120%;
    border-radius: 50%;
    opacity: 0;
}
.ns-modal.progress .ns-box .pop.success  {
    background: #4CAF50;
}
.ns-modal.progress .ns-box .pop.success .ripple {
    background: rgba(76, 175, 80, 0.5);
}
.ns-modal.progress .ns-box .pop.error {
    background: #E53935;
}
.ns-modal.progress .ns-box .pop.error .ripple {
    background: rgba(229, 57, 53, 0.5);
}
.ns-modal.progress .ns-box .pop.loading  {
    background: transparent;
}
.ns-modal.progress .ns-box .pop.loading .ripple {
    background: transparent;
}
.ns-modal.progress .ns-box .pop.success .icon,
.ns-modal.progress .ns-box .pop.error .icon {
    font-size: 32px;
    color: white;
    opacity: 0;
}
.ns-modal.progress .ns-box .pop.loading .icon {
    font-size: 64px;
    color: #007BFF;
    opacity: 0;
}

/* Font Awesome Animation */
.spin-pulse {
	animation-name: fa-spin; 
    animation-direction: var(--fa-animation-direction, normal); 
    animation-duration: var(--fa-animation-duration, 1s); 
    animation-iteration-count: var(--fa-animation-iteration-count, infinite); 
    animation-timing-function: var(--fa-animation-timing, steps(8));
}
.shake {
	animation-name: fa-shake;
    animation-duration: var(--fa-animation-direction, 1s); 
    animation-iteration-count: var(--fa-animation-iteration-count, infinite); 
    animation-timing-function: var(--fa-animation-timing, linear);
}
.font-pulse, .font-spin-pulse {
	animation-name: font-spin;
    animation-direction: var(--fa-animation-direction, normal);
    animation-duration: var(--fa-animation-duration, 1s);
    animation-iteration-count: var(--fa-animation-iteration-count, infinite);
    animation-timing-function: var(--fa-animation-timing, steps(8));
}
@keyframes font-spin {
	0% { transform:rotate(0deg); }
	100% { transform:rotate(1turn); }
}
@keyframes popIn {
    0% { transform: scale(0); opacity: 0; }
    50% { transform: scale(1.2); opacity: 1; }
    100% { transform: scale(1); }
}
@keyframes fadeIn {
    0% { opacity: 0; transform: scale(0.5); }
    100% { opacity: 1; transform: scale(1); }
}
@keyframes rippleEffect {
    0% { transform: scale(0); opacity: 0.5; }
    100% { transform: scale(2.5); opacity: 0; }
}